Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class ELContextImpl

    java.lang.Object
      javax.el.ELContext
          org.apache.jasper.runtime.ELContextImpl

    public class ELContextImpl

extends ELContext

Concrete implementation of `ELContext`. ELContext's constructor is protected to control creation of ELContext objects through their appropriate factory methods. This version of ELContext forces construction through JspApplicationContextImpl.

Author:
  Mark Roth, Kin-man Chung

Constructor Summary
`ELContextImpl(ELResolver resolver)` Constructs a new ELContext associated with the given ELResolver.

Method Summary
`ELResolver` | `getELResolver()` Retrieves the `ELResolver` associated with this context.
`FunctionMapper` | `getFunctionMapper()` Retrieves the `FunctionMapper` associated with this `ELContext`.
`VariableMapper` | `getVariableMapper()` Retrieves the `VariableMapper` associated with this `ELContext`.
`void` | `setFunctionMapper(FunctionMapper fnMapper)`
`void` | `setVariableMapper(VariableMapper varMapper)`

Methods inherited from class javax.el.ELContext
`getContext, getLocale, isPropertyResolved, putContext, setLocale, setPropertyResolved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELContextImpl

    public ELContextImpl(ELResolver resolver)

  Constructs a new ELContext associated with the given ELResolver.

Method Detail

### getELResolver

    public ELResolver getELResolver()

  Description copied from class: `ELContext`
  Retrieves the `ELResolver` associated with this context.

  The `ELContext` maintains a reference to the `ELResolver` that will be consulted to resolve variables and properties during an expression evaluation. This method retrieves the reference to the resolver.

  Once an `ELContext` is constructed, the reference to the `ELResolver` associated with the context cannot be changed.

  Specified by:
    `getELResolver` in class `ELContext`
  Returns:
    The resolver to be consulted for variable and property resolution during expression evaluation.

### setFunctionMapper

    public void setFunctionMapper(FunctionMapper fnMapper)

### getFunctionMapper

    public FunctionMapper getFunctionMapper()

  Description copied from class: `ELContext`
  Retrieves the `FunctionMapper` associated with this `ELContext`.

  Specified by:
    `getFunctionMapper` in class `ELContext`
  Returns:
    The function mapper to be consulted for the resolution of EL functions.

### setVariableMapper

    public void setVariableMapper(VariableMapper varMapper)

### getVariableMapper

    public VariableMapper getVariableMapper()

  Description copied from class: `ELContext`
  Retrieves the `VariableMapper` associated with this `ELContext`.

  Specified by:
    `getVariableMapper` in class `ELContext`
  Returns:
    The variable mapper to be consulted for the resolution of EL variables.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.